org.apache.lucene.codecs

## Class StoredFieldsFormat

- java.lang.Object
- - org.apache.lucene.codecs.StoredFieldsFormat

- Direct Known Subclasses:
    CompressingStoredFieldsFormat, Lucene50StoredFieldsFormat

      public abstract class StoredFieldsFormat
      extends Object

  Controls the format of stored fields

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `StoredFieldsFormat()` Sole constructor.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract StoredFieldsReader` | `fieldsReader(Directory directory, SegmentInfo si, FieldInfos fn, IOContext context)` Returns a `StoredFieldsReader` to load stored fields.
    `abstract StoredFieldsWriter` | `fieldsWriter(Directory directory, SegmentInfo si, IOContext context)` Returns a `StoredFieldsWriter` to write stored fields.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StoredFieldsFormat

          protected StoredFieldsFormat()

      Sole constructor. (For invocation by subclass constructors, typically implicit.)

  - ### Method Detail

    - #### fieldsReader

          public abstract StoredFieldsReader fieldsReader(Directory directory,
                                                          SegmentInfo si,
                                                          FieldInfos fn,
                                                          IOContext context)
                                                   throws IOException

      Returns a `StoredFieldsReader` to load stored fields.
      Throws:
        `IOException`

    - #### fieldsWriter

          public abstract StoredFieldsWriter fieldsWriter(Directory directory,
                                                          SegmentInfo si,
                                                          IOContext context)
                                                   throws IOException

      Returns a `StoredFieldsWriter` to write stored fields.
      Throws:
        `IOException`

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.